/******************************************************************************
 *
 * Copyright (c) 2019, the jupyter-fs authors.
 *
 * This file is part of the jupyter-fs library, distributed under the terms of
 * the Apache License 2.0.  The full license can be found in the LICENSE file.
 *
 */
import { Contents } from "@jupyterlab/services";
import { ClipboardModel, ContentsModel, IContentRow } from "tree-finder";
export declare class JupyterClipboard {
    constructor();
    copySelection<T extends IContentRow>(contentsModel: ContentsModel<T>, drive: Contents.IDrive): void;
    cutSelection<T extends IContentRow>(contentsModel: ContentsModel<T>, drive: Contents.IDrive): void;
    deleteSelection<T extends IContentRow>(contentsModel: ContentsModel<T>, drive: Contents.IDrive): void;
    pasteSelection<T extends IContentRow>(contentsModel: ContentsModel<T>, drive: Contents.IDrive): void;
    protected _onDelete<T extends IContentRow>(src: T): Promise<void>;
    protected _onPaste<T extends IContentRow>(src: T, destPathstr: string, doCut: boolean): Promise<void>;
    protected clipboardModel: ClipboardModel;
    protected srcDrive: Contents.IDrive | null;
    protected destDrive: Contents.IDrive | null;
}
export declare namespace JupyterClipboard {
    const defaultClipboard: JupyterClipboard;
}
